/**
 * Copyright (C) 2003-2008 eXo Platform SAS.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see<http://www.gnu.org/licenses/>.
 */

package org.exoplatform.services.rest.method;

import javax.ws.rs.WebApplicationException;

import org.exoplatform.services.rest.resource.GenericMethodResource;

/**
 * Can be used for check is {@link GenericMethodResource} can be invoked. For
 * example can be checked permission to invoke method according to annotation
 * JSR-250.
 * 
 * @author <a href="mailto:andrew00x@gmail.com">Andrey Parfonov</a>
 * @version $Id: $
 */
public interface MethodInvokerFilter {

  /**
   * Check does supplied method can be invoked.
   * 
   * @param genericMethodResource See {@link GenericMethodResource}
   * @throws WebApplicationException if method can't be invoked
   */
  void accept(GenericMethodResource genericMethodResource) throws WebApplicationException;

}
